import { AdaptableStyle } from '../../PredefinedConfig/Common/AdaptableStyle';
import { ApiBase } from './ApiBase';
import { QuickSearchApi } from '../QuickSearchApi';
import { QuickSearchState } from '../../PredefinedConfig/QuickSearchState';
export declare class QuickSearchApiImpl extends ApiBase implements QuickSearchApi {
    getQuickSearchState(): QuickSearchState;
    runQuickSearch(quickSearchText: string): void;
    clearQuickSearch(): void;
    getQuickSearchValue(): string;
    getQuickSearchStyle(): AdaptableStyle;
    setQuickSearchStyle(style: AdaptableStyle): void;
    openQuickSearchSettingsPanel(): void;
    showFloatingQuickSearch(): void;
    hideFloatingQuickSearch(): void;
}
